/***************************************************************************
**
**    $Header$
**
**    $Log$
** 
****************************************************************************/

/////////////////////////////////////////////////////////////////////////////
//
//  File name:  GRID.H
//
//  Description:The header file for the class: CGrid
//
//  Author:     Lane Li
//
//  Date:       09/10/95
//
//  Modification:
//
//      1. 09/10/95, Initial version
//
//
//  Copyright (C) 1995 Microtek International. All rights reserved.
//
/////////////////////////////////////////////////////////////////////////////

#ifndef _GRID_H_
#define _GRID_H_

class CGrid
{            
public:
// Attributes
	int m_nMinLines;
	int m_nMaxLines;
	int m_nMinRows;
	int m_nMaxRows;
	int m_nLines;
	int m_nRows;
	int m_nPosX;
	int m_nPosY;
	int m_nDeltax;
	int m_nGridHeight;
	int m_nGridWidth;
	RECT m_rectPos; 
	char* m_lpszTitle;

// Operations         
	CGrid();
	~CGrid();

	void SetMaxLines(int);
	void SetMinLines(int);
	void SetMaxRows(int);
	void SetMinRows(int);
	void SetPos(int,int,int);
	void SetLines(int);
	void SetRows(int);
	void SetGridHeight(int);
	void SetGridWidth(int);
	void Show(CDC*,BOOL);
	void DeleteLines(int);
	void DeleteRows(int);
	void AddLines(int);
	void AddRows(int);
	void DoRect(); 
	void SetTitle();
	int  GetRightPos();
	int  GetLeftPos();
	RECT GetGridRect(int,int);
	
protected:
// Attributes

// Operations
};

#endif
